﻿using System.Drawing;
using System.Windows.Controls;

namespace Jacquot_Timepix_V2.Views
{
    /// <summary>
    /// Interaction logic for HistogramFillRatioView.xaml
    /// </summary>
    public partial class HistogramFillRatioView : UserControl
    {
        public HistogramFillRatioView()
        {
            InitializeComponent();

            PlotView.Plot.Title("Fill Ratio Histogram");
            PlotView.Plot.XLabel("Fill Ratio (inside pixels / total pixels);");
            PlotView.Plot.YLabel("Normalized Cluster Count (%)");

            PlotView.Plot.Legend(true, ScottPlot.Alignment.UpperRight);
            PlotView.Plot.AddHorizontalLine(0, Color.Black, 1);
            PlotView.Plot.AddVerticalLine(0, Color.Black, 1);
        }
    }
}
