﻿using System.Drawing;
using System.Windows.Controls;

namespace Jacquot_Timepix_V2.Views
{
    /// <summary>
    /// Interaction logic for HistogramLinearityView.xaml
    /// </summary>
    public partial class HistogramLinearityView : UserControl
    {
        public HistogramLinearityView()
        {
            InitializeComponent();

            PlotView.Plot.Title("Linearity Histogram");
            PlotView.Plot.XLabel("Linearity (cluster width / total pixels);");
            PlotView.Plot.YLabel("Normalized Cluster Count (%)");

            PlotView.Plot.Legend(true, ScottPlot.Alignment.UpperRight);
            PlotView.Plot.AddHorizontalLine(0, Color.Black, 1);
            PlotView.Plot.AddVerticalLine(0, Color.Black, 1);
        }
    }
}
