﻿using System.Drawing;
using System.Windows.Controls;

namespace Jacquot_Timepix_V2.Views
{
    /// <summary>
    /// Interaction logic for HistogramTotView.xaml
    /// </summary>
    public partial class HistogramTotView : UserControl
    {
        public HistogramTotView()
        {
            InitializeComponent();

            PlotView.Plot.Title("Time over Threshold (ToT) Histogram");
            PlotView.Plot.XLabel("ToT (-)");
            PlotView.Plot.YLabel("Normalized Pixel Count (%)");

            PlotView.Plot.Legend(true, ScottPlot.Alignment.UpperRight);
            PlotView.Plot.AddHorizontalLine(0, Color.Black, 1);
            PlotView.Plot.AddVerticalLine(0, Color.Black, 1);
        }
    }
}
